<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/

	// valor "1" en desarrollo y "0" en internet
	ini_set("display_errors", "0");

	// Attempt...
	define("IGNX", 1);

	// conex, config, login  global
	require("inc.global.php");

/******* CONFIGURACION  ***********/

$titulo = INGENIO_NOMBRE." ".INGENIO_VERSION;
$archivo="composicion.php";
$archivo_prev="getprev.php";

/******* CONFIGURACION FIN ********/
	
	$cadena_get_comple = $_SERVER['QUERY_STRING'];
	$no_get = $cadena_get_comple == "" ? 1 : 0 ;
	$campoid = "skinID";
	$ig = $_GET;
	$in = $_POST;
	$arc = $_FILES;

if (isset($ig["res"]))
{
	$resval = $ig["res"];
	
	// borrar 
	if ($resval == "bo")
	{

		// conocer enabled
		$qbo = myquery("SELECT * FROM ".COMPOSICION." WHERE ".$campoid."='".$_GET["registro"]."'","[bo]");
		$row = myfetch($qbo);
		if ($row["enabled"] == 1)
		{
			$qs = "UPDATE ".COMPOSICION." SET enabled='1' WHERE ".$campoid."='1'";
			myquery($qs,"[bo1]");	
		
		}
		if ($row["previo"] == 1)
		{
			$qs = "UPDATE ".COMPOSICION." SET previo='1' WHERE ".$campoid."='1'";
			myquery($qs,"[bo2]");	
		
		}
		// borrar la foto
		if ($row["imagen_cabecera"] && file_exists_url("../ftps/".$row["imagen_cabecera"]))
		{
				unlink("../ftps/".$row["imagen_cabecera"]);
		}				

		
		$borrar = myquery("DELETE FROM ".COMPOSICION." WHERE ".$campoid."='".$_GET["registro"]."'");
		
		// redirige a la composicion 1
		Redir ($archivo."?".$campoid."=1&mbo=1");
		
	}
}


if (isset($in["guardar"]))
{

	if (isset($arc["imagen_cabecera"]) && $arc["imagen_cabecera"]["name"])
	{
			
			// asignar el ID
			$qd = myquery("SELECT * FROM ".COMPOSICION." ORDER BY ".$campoid." DESC LIMIT 0, 1","[03]");
			$row_inid = myfetch($qd);
			if ($row_inid[$campoid])
			{
				$inid = $row_inid[$campoid]+1;
			} else {
				$inid = 1;
			}

		
		// extension + caracteres max 100
		if (preg_match('/\.(jpg|jpeg|png|gif)$/i', $arc["imagen_cabecera"]["name"]) && strlen($arc["imagen_cabecera"]["name"]) <= 100 && $arc["imagen_cabecera"]["size"] > 0)
		{
						
			$arc["imagen_cabecera"]["name"] = preg_replace ('/[^\.a-zA-Z0-9]/', '', $arc["imagen_cabecera"]["name"]);				
			$archivo_nom = $arc["imagen_cabecera"]["name"];
			$subir = move_uploaded_file($arc["imagen_cabecera"]["tmp_name"], "../ftps/CAB_".$inid."_".$archivo_nom);
			if (!$subir) //falla FTP
			{
				Redir ($archivo."?err_ftp=1");
						
			} else {
					
				$foto = "CAB_".$inid."_".$archivo_nom;
					
			}
							
		} else { // no extension no cantidad de caracteres
						
			Redir ($archivo."?err_ext=1");
						
		}
					
	} else {
	
	$foto = "";
	
	}

	// flag
	$query_normal = 0;
		
	$skin_css = $in["skin_css"];
	$composicion = $in["composicion"];
		
	// chequear si hay carpeta de recursos del skin y si existe la composicion
 	$tpl_carpetas = getdircomple("../skins");
	for ($m=0; $m<count($tpl_carpetas); $m++)
	{		
		if ($tpl_carpetas[$m] == substr($skin_css,0,-4))
		{
			if (file_exists_url("../skins/".substr($skin_css,0,-4)."/templates/".$composicion))
			{
				$query_normal = 1;
			}
				
		break;
		}
	}
	

	$nombre = entrada_sin_tags_html($in["nombre"]);
	
	// instalar menus
	// menu alto
	$menu_alto = "";
	for ($m=1; $m<=$in["total_elem_m_alto"]; $m++)
	{
		$menu_alto .= $in["menu_alto_elem_".$m].",";
	}
	$menu_alto = substr($menu_alto,0,-1);

	// menu principal(derecha)
	$menu_principal = "";
	for ($m=1; $m<=$in["total_elem_m_principal"]; $m++)
	{
		$menu_principal .= $in["menu_principal_elem_".$m].",";
	}
	$menu_principal = substr($menu_principal,0,-1);

	// menu secundario(izquierda)
	$menu_secundario = "";
	for ($m=1; $m<=$in["total_elem_m_secundario"]; $m++)
	{
		$menu_secundario .= $in["menu_secundario_elem_".$m].",";
	}
	$menu_secundario = substr($menu_secundario,0,-1);

	// menu pie
	$menu_pie = "";
	for ($m=1; $m<=$in["total_elem_m_pie"]; $m++)
	{
		$menu_pie .= $in["menu_pie_elem_".$m].",";
	}
	$menu_pie = substr($menu_pie,0,-1);
			
	
	// rotulo_estilo
	$rotulo_estilo_mt = $in["rotulo_estilo_mt"] != "" && is_numeric($in["rotulo_estilo_mt"]) ? $in["rotulo_estilo_mt"] : 0 ;
	$rotulo_estilo_ml = $in["rotulo_estilo_ml"] != "" && is_numeric($in["rotulo_estilo_ml"]) ? $in["rotulo_estilo_ml"] : 0 ;
	$rotulo_estilo = $rotulo_estilo_mt.",".$rotulo_estilo_ml;
	
	$rotulo = isset($in["rotulo"]) ? $in["rotulo"] : 0 ;
	$skin_admin = $in["skin_admin"];
	$previo = isset($in["previo"]) ? $in["previo"] : 0 ;
	$enabled = isset($in["enabled"]) ? $in["enabled"] : 0 ;

	if ($query_normal == 1) // hay carpeta de recursos
	{
		// convertir enabled a '0'
		if ($enabled == 1)
		{
			$qs = "UPDATE ".COMPOSICION." SET enabled='0' ";
			myquery($qs,"[01e]");	
		}

		// convertir previo a '0'
		if ($previo == 1)
		{
			$qs = "UPDATE ".COMPOSICION." SET previo='0' ";
			myquery($qs,"[01p]");	
		}
	
		$qs = "INSERT INTO ".COMPOSICION." (nombre,composicion,menu_alto,menu_principal,menu_secundario,menu_pie,imagen_cabecera,rotulo_estilo,rotulo,skin_css,skin_admin,previo,enabled) VALUES ('".$nombre."','".$composicion."','".$menu_alto."','".$menu_principal."','".$menu_secundario."','".$menu_pie."','".$foto."','".$rotulo_estilo."','".$rotulo."','".$skin_css."','".$skin_admin."','".$previo."','".$enabled."')";
		myquery($qs,"[01g]");
		$inid = myinsertid();

		// normal mensaje de guardado
		Redir ($archivo."?".$campoid."=".$inid."&msj=1");
		
	} else {
			
		// fallo en guardar -> no hay carpeta de recursos
		Redir ($archivo."?err_dir=1");
		
	} // del if ($query_normal == 1)


}


if (isset($ig[$campoid]) || isset($in[$campoid]))
{
	// asignar ID gral
	$fileID_gral = isset($ig[$campoid]) ? $ig[$campoid] : $in[$campoid];
	
	
	if (isset($in["actualizar"]))
	{
		// asignar el ID
		$inid = $fileID_gral;

		// calcular si se borra la foto
		$borrar_foto = isset($in["borrar_foto"]) ? $in["borrar_foto"] : 0 ;

		if (isset($arc["imagen_cabecera"]) && $arc["imagen_cabecera"]["name"])
		{

			// extension + caracteres max 100
			if (preg_match('/\.(jpg|jpeg|png|gif)$/i', $arc["imagen_cabecera"]["name"]) && strlen($arc["imagen_cabecera"]["name"]) <= 100 && $arc["imagen_cabecera"]["size"] > 0)
			{
						
				$arc["imagen_cabecera"]["name"] = preg_replace ('/[^\.a-zA-Z0-9]/', '', $arc["imagen_cabecera"]["name"]);				
				$archivo_nom = $arc["imagen_cabecera"]["name"];
				$subir = move_uploaded_file($arc["imagen_cabecera"]["tmp_name"], "../ftps/CAB_".$inid."_".$archivo_nom);
				if (!$subir) //falla FTP
				{
					// '0' no borra la vieja foto
					$borrar_arc = 0;
					Redir ($archivo."?".$campoid."=".$inid."&err_ftp=1");
						
				} else {

					// '1' si borra la vieja foto
					$borrar_arc = 1;
					
					// controla el UPDATE	
					$foto = ",imagen_cabecera='CAB_".$inid."_".$archivo_nom."'";
					
				}
							
			} else { // no extension no cantidad de caracteres
						
				// '0' no borra la vieja foto
				$borrar_arc = 0;				
				Redir ($archivo."?".$campoid."=".$inid."&err_ext=1");
						
			}
			
			// borra la vieja foto
			if ($borrar_arc == 1)
			{
				$q1 = myquery("SELECT * FROM ".COMPOSICION." WHERE skinID='".$fileID_gral."'","[02]");
				$row1 = myfetch($q1);
				// si tiene distinto nombre se borra
				if ($row1["imagen_cabecera"] != "CAB_".$inid."_".$archivo_nom)
				{
					if ($row1["imagen_cabecera"] && file_exists_url("../ftps/".$row1["imagen_cabecera"]))
					{
						unlink("../ftps/".$row1["imagen_cabecera"]);
					}
				}
			}
					
		} else {
	
			if ($borrar_foto == 1)
			{
				$q1 = myquery("SELECT * FROM ".COMPOSICION." WHERE skinID='".$fileID_gral."'","[02bo]");
				$row1 = myfetch($q1);
				if ($row1["imagen_cabecera"] && file_exists_url("../ftps/".$row1["imagen_cabecera"]))
				{
						unlink("../ftps/".$row1["imagen_cabecera"]);
				}				
				// controla el UPDATE
				$foto = ",imagen_cabecera=''";
		
			} else {
				
				// controla el UPDATE				
				$foto = "";
			}
	
		}
	
		// flags
		$query_normal = 0;
		$query_insert = 0;
		
 		$skin_css = $in["skin_css"];
		$composicion = $in["composicion"];
		
		// chequear si hay carpeta de recursos del skin
 		$tpl_carpetas = getdircomple("../skins");
		for ($m=0; $m<count($tpl_carpetas); $m++)
		{		
			if ($tpl_carpetas[$m] == substr($skin_css,0,-4))
			{
				$query_normal = 1;
				
			break;
			}
		}
		
		if (trim($in["nombre_como"]) != "")
		{

 			//$nombre_como = entrada_sin_tags_html($in["nombre_como"]);			
 			$nombre = entrada_sin_tags_html($in["nombre_como"]);
 			$skin_css = $in["skin_css_como"];
			$query_insert = 1;
						
		
		} else {
		
			// no borrar prefijo -> inGenio X original
			if ($fileID_gral == 1)
			{
				if (trim($in["nombre"]) == "inGenio X original")
				{
					$nombre = "inGenio X original";
				} else {
					$nombre = "inGenio X original - ".str_replace("inGenio X original","",entrada_sin_tags_html($in["nombre"]));
				}		
			} else {
				$nombre = entrada_sin_tags_html($in["nombre"]);
			}
					
		}
		
	
		// instalar menus
		// menu alto
		$menu_alto = "";
		for ($m=1; $m<=$in["total_elem_m_alto"]; $m++)
		{
			$menu_alto .= $in["menu_alto_elem_".$m].",";
		}
		$menu_alto = substr($menu_alto,0,-1);

		// menu principal(derecha)
		$menu_principal = "";
		for ($m=1; $m<=$in["total_elem_m_principal"]; $m++)
		{
			$menu_principal .= $in["menu_principal_elem_".$m].",";
		}
		$menu_principal = substr($menu_principal,0,-1);

		// menu secundario(izquierda)
		$menu_secundario = "";
		for ($m=1; $m<=$in["total_elem_m_secundario"]; $m++)
		{
			$menu_secundario .= $in["menu_secundario_elem_".$m].",";
		}
		$menu_secundario = substr($menu_secundario,0,-1);

		// menu pie
		$menu_pie = "";
		for ($m=1; $m<=$in["total_elem_m_pie"]; $m++)
		{
			$menu_pie .= $in["menu_pie_elem_".$m].",";
		}
		$menu_pie = substr($menu_pie,0,-1);

	
		// rotulo_estilo
		$rotulo_estilo_mt = $in["rotulo_estilo_mt"] != "" && is_numeric($in["rotulo_estilo_mt"]) ? $in["rotulo_estilo_mt"] : 0 ;
		$rotulo_estilo_ml = $in["rotulo_estilo_ml"] != "" && is_numeric($in["rotulo_estilo_ml"]) ? $in["rotulo_estilo_ml"] : 0 ;
		$rotulo_estilo = $rotulo_estilo_mt.",".$rotulo_estilo_ml;

		$rotulo = isset($in["rotulo"]) ? $in["rotulo"] : 0 ;
		$skin_admin = $in["skin_admin"];
		$previo = isset($in["previo"]) ? $in["previo"] : 0 ;
		$enabled = isset($in["enabled"]) ? $in["enabled"] : 0 ;


		if ($query_normal == 1) // hay carpeta de recursos
		{
			
			if ($query_insert == 0) // usa UPDATE
			{

				// convertir enabled a '0'
				if ($enabled == 1)
				{
					$qs = "UPDATE ".COMPOSICION." SET enabled='0' ";
					myquery($qs,"[04e]");
			
				}

				// convertir previo a '0'
				if ($previo == 1)
				{
					$qs = "UPDATE ".COMPOSICION." SET previo='0' ";
					myquery($qs,"[04p]");
			
				}
			
				$qs = "UPDATE ".COMPOSICION." SET nombre='".$nombre."',composicion='".$composicion."',menu_alto='".$menu_alto."',menu_principal='".$menu_principal."',menu_secundario='".$menu_secundario."',menu_pie='".$menu_pie."',rotulo_estilo='".$rotulo_estilo."',rotulo='".$rotulo."',skin_css='".$skin_css."',skin_admin='".$skin_admin."'".$foto.",previo='".$previo."',enabled='".$enabled."' WHERE skinID='".$fileID_gral."'";
				myquery($qs,"[04]");
			
				// normal mensaje de guardado
				Redir ($archivo."?".$campoid."=".$inid."&msj=1");
		
			} else if ($query_insert == 1) // usa INSERT
			{ 
		
				// valores de guardar como
				$enabled = 0;
				$previo = 0;
				$foto = "";
				$composicion = "";
				
				$qs = "INSERT INTO ".COMPOSICION." (nombre,composicion,menu_alto,menu_principal,menu_secundario,menu_pie,imagen_cabecera,rotulo_estilo,rotulo,skin_css,skin_admin,previo,enabled) VALUES ('".$nombre."','".$composicion."','".$menu_alto."','".$menu_principal."','".$menu_secundario."','".$menu_pie."','".$foto."','".$rotulo_estilo."','".$rotulo."','".$skin_css."','".$skin_admin."','".$previo."','".$enabled."')";
				myquery($qs,"[01a]");
				$inid = myinsertid();

				// normal mensaje de guardado
				Redir ($archivo."?".$campoid."=".$inid."&msj=1");
		
			}
		
		} else {

			// fallo en guardar -> no hay carpeta de recursos
			Redir ($archivo."?".$campoid."=".$inid."&err_dir=1");
		
		} // del if ($query_normal == 1)
	
	
	}
		
	// extraer los datos de la base
	$qt = myquery("SELECT * FROM ".COMPOSICION." WHERE skinID='".$fileID_gral."'","[05]");
	$row = myfetch($qt);
	
	// mostrar rotulo_estilo
	$row["rotulo_estilo"] = explode (",",$row["rotulo_estilo"]);


} else if (isset($_GET["uso"])) {

	// encontrar la composicion en uso
	$qt = myquery("SELECT * FROM ".COMPOSICION." WHERE enabled=1 LIMIT 0, 1","[uso01]");
	$row = myfetch($qt);

	Redir ($archivo."?".$campoid."=".$row["skinID"]);


} else {


/***** NUEVO ******/

$row = array();
$row[$campoid] = "";
$row["nombre"] = "";
$row["composicion"] = "";
$row["menu_alto"] = "";
$row["menu_principal"] = "";
$row["menu_secundario"] = "";
$row["menu_pie"] = "";
$row["imagen_cabecera"] = "";
$row["rotulo_estilo"][0] = "0";
$row["rotulo_estilo"][1] = "0";
$row["rotulo"] = "";
$row["skin_css"] = "";
$row["skin_admin"] = "";
$row["previo"] = "0";
$row["enabled"] = "0";

}


?>

<!DOCTYPE html
    PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3c.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<?php echo '<meta http-equiv="content-type" content="text/html; charset='.CONFIG_2.'" />'; ?>
<title><?php echo $titulo; ?></title>
<?php include("inc.head.php"); ?>

<?php include("inc.formjs.php"); ?>

</head>

<body>

<table border="0" cellspacing="0" cellpadding="0" align="center">
<tr><td valign="top">

<?php include("inc.menu.php"); ?>

</td><td valign="top" width="100%">

<?php include("inc.copy.php"); ?>

<div class="contenido">

<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_composicion.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_14; ?></span>
</div>
<?php
	} else {
?>
<div class="div_rotulo_top_sec">
<img class="img_icon_pag" src="../skins_admin/<?php echo substr($row_comp['skin_admin'],0,-4); ?>/imgs/icon_php.png" />
&nbsp;&nbsp;&nbsp;
<span class="rotulo_top_sec"><?php  echo LEN_ADMIN_10; ?></span>
</div>
<?php
	}
?>

<form enctype="multipart/form-data" action="<?php echo $archivo; ?>" onsubmit="return validar_ingreso(this);" method="post" name="principal">
<?php
	
	// rotulo
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
	 	echo ' <div class="rotulo">'.LEN_ADMIN_61.'</div>';
	} else {
	 	echo ' <div class="rotulo">'.LEN_ADMIN_249.'</div>';	
	}

	// boton de borrar
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
		// no borrar la composicion original
		if ($fileID_gral > 1)
		{

			// previsualizar
			echo '<a title="'.salida_popups(LEN_ADMIN_294).'"';
			echo ' href="javascript:prev(\'../'.$archivo_prev.'\','.CONFIG_5.');"';
			echo ' class="conex_tip">';
			echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_prev.png" />';
			echo '</a>';
						
			// borrar
			echo '&nbsp;&nbsp;<a title="'.salida_popups(LEN_ADMIN_145).'"';
			echo ' href="javascript:confirmar(\''.LEN_ADMIN_144.'\',\''.$archivo.'?res=bo&registro='.$fileID_gral.'\');"';
			echo ' class="conex_tip">';
			echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_borrar.png" />';
			echo '</a>';
			echo '&nbsp;&nbsp;(#'.$fileID_gral.')';
			
			
		} else {

			// previsualizar
			echo '<a title="'.salida_popups(LEN_ADMIN_294).'"';
			echo ' href="javascript:prev(\'../'.$archivo_prev.'\','.CONFIG_5.');"';
			echo ' class="conex_tip">';
			echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_prev.png" />';
			echo '</a>';
			echo '&nbsp;&nbsp;(#'.$fileID_gral.')';
			
		}
	}
	
	if (isset($ig["err_mail"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_29.'</span>';
	
	}

	if (isset($ig["msj"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_22.'</span>';
	
	}

	if (isset($ig["mbo"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_133.'</span>';
	
	}

	if (isset($ig["err_ftp"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_30.'</span>';
	
	}

	if (isset($ig["err_ext"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_31.' (jpg|jpeg|png|gif)'.LEN_ADMIN_25.' 100</span>';
	}

	if (isset($ig["err_dir"]))
	{
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_315.'</span>';
	}

?>

<?php	
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>

<br /><br /><br />
<div class="div_destacar_grupos">
<?php echo LEN_ADMIN_205; ?>
&nbsp;<select name="" onchange="selec('window',this,0);">
<?php
	$corte = 45;
	$qit = myquery("SELECT * FROM ".COMPOSICION." ORDER BY ".$campoid." ASC");
	while ($row_qit = myfetch($qit))
	{
		if (strlen($row_qit["nombre"]) > $corte) { $mas="..."; } else { $mas=""; }
		if ($row_qit["enabled"] > 0) { $marca=" [+]"; } else { $marca=""; }
		if ($row_qit["previo"] > 0) { $marcaprev=" [@]"; } else { $marcaprev=""; }
		echo '<option value="'.$archivo.'?'.$campoid.'='.$row_qit[$campoid].'"';
		if ($row[$campoid] == $row_qit[$campoid])
		{
			echo ' selected';
		}
		echo '>';
		echo substr($row_qit["nombre"],0,$corte).$mas.$marca.$marcaprev.'</option>';
	}

?>
</select>
</div>
<?php
	}
?>

<?php
	// enabled
	if ($row["enabled"] == 1)
	{
		echo '<input type="hidden" name="enabled" value="1">';
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_115.'</span>';
	
	} else if ($row["enabled"] == 0)
	{
	
		echo '<br /><br />';
		echo LEN_ADMIN_220;
		echo '&nbsp;<input type="checkbox" name="enabled" value="1">';
	}

	// previo
	if ($row["previo"] == 1)
	{
		echo '<input type="hidden" name="previo" value="1">';
		echo '<br /><br /><span class="mensaje">'.LEN_ADMIN_108.'</span>';
	
	} else if ($row["previo"] == 0)
	{
	
		echo '<br /><br />';
		echo LEN_ADMIN_285;
		echo '&nbsp;<input type="checkbox" name="previo" value="1">';
	}

?>

<br /><br />
* <?php echo LEN_ADMIN_206; ?>
&nbsp;<input name="nombre" maxlength="255" value="<?php echo salida_editar_form($row['nombre']); ?>" type="text" class="input_text">

<br /><br />
<div class="div_destacar_grupos">
<?php

	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{

		// previsualizacion
		// muestra la primera imagen instalada -> nombre_imagen.gif | nombre_imagen.jpg | ...
		echo '<strong>'.LEN_ADMIN_207.'</strong>';
		echo '<br /><br />';
		$imagen_prev = getfilesdir("../skins/".substr($row['skin_css'],0,-4)."","","(gif|jpg|jpeg|png)");
		if (file_exists_url("../skins/".substr($row['skin_css'],0,-4)."/".basename($imagen_prev[0])))
		{
			$size = getimagesize("../skins/".substr($row['skin_css'],0,-4)."/".basename($imagen_prev[0]));
			$size_ancho = 250;		
			$ver_pag = '<img src="../skins/'.substr($row['skin_css'],0,-4).'/'.basename($imagen_prev[0]).'" width="'.$size_ancho.'" style="border:0px;text-decoration:none;" />';
			$ver_pag_src = '../skins/'.substr($row['skin_css'],0,-4).'/'.basename($imagen_prev[0]);

			echo '<a href="javascript:verimg(\''.$ver_pag_src.'\','.($size[0]+40).','.($size[1]+40).');" style="border:0px;text-decoration:none;">'.$ver_pag.'</a>';
				
		} else {
		
			echo '<span class="mensaje">'.LEN_ADMIN_312.'</span>';
		
		}

		echo '<br /><br />';

		// TPLC
		echo '<strong>TPLC</strong>&nbsp;&nbsp;';
		echo '<span class="selec_elemento">'.$row["composicion"].'</span>';

		// css usado
		echo '<br /><br />';
		echo '<strong>CSS</strong>&nbsp;&nbsp;';
		echo '<span class="selec_elemento">'.$row["skin_css"].'</span>';
		echo '<input type="hidden" name="skin_css" value="'.$row["skin_css"].'">';
		
 		// skins css plugins
		echo '<br /><br />';
		echo '<strong>CSS plugins</strong>&nbsp;&nbsp;';
 		$tpl_archivos_man_css = getfilesdir("../skins/".substr($row['skin_css'],0,-4)."/css","","(css)");
		for ($m=0; $m<count($tpl_archivos_man_css); $m++)
		{		
			echo basename($tpl_archivos_man_css[$m]).', ';	
		}

		// composiciones
		echo '<br /><br />';
		echo '<strong>'.LEN_ADMIN_356.'</strong>&nbsp;&nbsp;';
		echo '<select name="composicion">';
		$archivos_man = getfilesdir("../skins/".substr($row['skin_css'],0,-4)."/templates","","(tplc.html)");
		for ($m=0; $m<count($archivos_man); $m++)
		{		
			echo '<option value="'.basename($archivos_man[$m]).'"';
			if ($row["composicion"] == basename($archivos_man[$m])) { echo ' selected'; }
			echo '>'.basename($archivos_man[$m]).'</option>';	
		}
		echo '</select>';
		
		// caracteristicas
		// solo reconoce el primer archivo .html
		$archivos_html = getfilesdir("../skins/".substr($row['skin_css'],0,-4)."","","(html)");
		if ($archivos_html)
		{
			echo '<div class="txt_skin_css_html">';
			echo '<input type="button" onclick="vertext(\'../skins/'.substr($row['skin_css'],0,-4).'/'.basename($archivos_html[0]).'\',800);" value="'.LEN_ADMIN_225.'" class="boton">';
			echo '</div>';
		
		}
		
		
	} else {
	

		// elegir composicion
		echo '* <strong>TPLC</strong><br /><br />';
		echo '<input type="text" name="composicion" maxlength="255" value="" class="input_text tmax">';

		echo '<br /><br />';

		// elegir css
		echo '<strong>CSS</strong><br /><br />';
		echo '<select name="skin_css">';
		$archivos_man = getfilesdir("../skins","","(css)");
		for ($m=0; $m<count($archivos_man); $m++)
		{		
			echo '<option value="'.basename($archivos_man[$m]).'"';		
			echo '>'.basename($archivos_man[$m]).'</option>';	
		}
		echo '</select>';

	}

?>
</div>

<br /><br />
<div class="div_destacar_grupos">
<strong><?php echo LEN_ADMIN_250; ?></strong>
<br /><br />
<?php
		// info
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_info.png" />';
		echo '<br />';
		echo '<span class="mensaje_info">'.LEN_ADMIN_316.'</span>';
		echo '<br /><br />';

	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
		if ($row["imagen_cabecera"] && file_exists_url("../ftps/".$row["imagen_cabecera"]))
		{			
			echo LEN_ADMIN_189.' (jpg|jpeg|png|gif)';
			
		} else {
			
			echo LEN_ADMIN_188.' (jpg|jpeg|png|gif)';
		}
		
	} else {
	
		echo LEN_ADMIN_188.' (jpg|jpeg|png|gif)';
	}


?>
&nbsp;<input type="file" name="imagen_cabecera" class="input_text">
<?php

	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
		if ($row["imagen_cabecera"] && file_exists_url("../ftps/".$row["imagen_cabecera"]))
		{
			
			$size = getimagesize("../ftps/".$row["imagen_cabecera"]);
			$size_ancho = $size[0]/2;
			
			echo '<br /><br /><img src="../ftps/'.$row["imagen_cabecera"].'" width="'.$size_ancho.'" />';
			echo '<br /><br />'.LEN_ADMIN_67.' <strong>'.$row["imagen_cabecera"].'</strong>&nbsp;&nbsp;&nbsp;('.$size[0].' x '.$size[1].')';
			echo '&nbsp;&nbsp;&nbsp;<input type="checkbox" name="borrar_foto" value="1">&nbsp;'.LEN_ADMIN_98;

		}
	}


?>
</div>

<br /><br />
<div class="div_destacar_grupos">
<b><?php echo LEN_ADMIN_286; ?></b>
<br /><br />
<?php
		// info
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_info.png" />';
		echo '<br />';
		echo '<span class="mensaje_info">'.LEN_ADMIN_317.'</span>';
		echo '<br /><br />';
?>
<?php  echo LEN_ADMIN_288; ?>
&nbsp;<input type="checkbox" name="rotulo"<?php if ($row["rotulo"] == 1) { echo ' checked '; } ?> value="1">
<br /><br />
<?php  echo LEN_ADMIN_289; ?>
&nbsp;<input name="rotulo_estilo_mt" maxlength="5" value="<?php echo $row['rotulo_estilo'][0]; ?>" type="text" class="input_text tmini">
<br /><br />
<?php  echo LEN_ADMIN_290; ?>
&nbsp;<input name="rotulo_estilo_ml" maxlength="5" value="<?php echo $row['rotulo_estilo'][1]; ?>" type="text" class="input_text tmini">
</div>

<?php
		
	// !IMPORTANTE
	
	// incluir el total de elementos
	// se utiliza en toda la aplicacion	
	$total_elem_m_alto = 8 ;
	$total_elem_m_principal = 27 ;
	$total_elem_m_secundario = 27 ;
	$total_elem_m_pie = 8 ;
	
	// !IMPORTANTE

	// salida de nuevo
	if ($row["menu_alto"] == "")
	{
		for ($m=0; $m<$total_elem_m_alto; $m++)
		{
			$row["menu_alto"] .= "0,";
		}
		// quitar la coma final
		$row["menu_alto"] = substr($row["menu_alto"],0,-1);
	
	}

	if ($row["menu_principal"] == "")
	{
		for ($m=0; $m<$total_elem_m_principal; $m++)
		{
			$row["menu_principal"] .= "0,";
		}
		// quitar la coma final
		$row["menu_principal"] = substr($row["menu_principal"],0,-1);
	
	}

	if ($row["menu_secundario"] == "")
	{
		for ($m=0; $m<$total_elem_m_secundario; $m++)
		{
			$row["menu_secundario"] .= "0,";
		}
		// quitar la coma final
		$row["menu_secundario"] = substr($row["menu_secundario"],0,-1);
	
	}

	if ($row["menu_pie"] == "")
	{
		for ($m=0; $m<$total_elem_m_pie; $m++)
		{
			$row["menu_pie"] .= "0,";
		}
		// quitar la coma final
		$row["menu_pie"] = substr($row["menu_pie"],0,-1);
	
	}

	
	// compensado con una X, para alinear desde 1
	$ids_menu_alto = explode(",","X,".$row["menu_alto"]);
	$ids_menu_principal = explode(",","X,".$row["menu_principal"]);
	$ids_menu_secundario = explode(",","X,".$row["menu_secundario"]);
	$ids_menu_pie = explode(",","X,".$row["menu_pie"]);

	// funciones usadas
	// options de menu principal(derecha) y secundario(izquierda)
	function options_salida_gral ($ids)
	{
		$elem_gral = array();
		// incluir los nombres en orden
		$elem_gral[1] = LEN_ADMIN_208; // Copy
		$elem_gral[2] = LEN_ADMIN_209; // Email
		$elem_gral[3] = LEN_ADMIN_210; // RSS
		$elem_gral[4] = LEN_ADMIN_215; // Idiomas
		$elem_gral[5] = LEN_ADMIN_244; // Reloj
		$elem_gral[6] = LEN_ADMIN_246; // Add item
		$elem_gral[7] = LEN_ADMIN_247; // Add traduccion
		$elem_gral[8] = LEN_ADMIN_212; // Buscador
		$elem_gral[9] = LEN_ADMIN_213; // Categorias
		$elem_gral[10] = LEN_ADMIN_219; // Ultimos publicados
		$elem_gral[11] = LEN_ADMIN_211; // Paginas adicionales
		$elem_gral[12] = LEN_ADMIN_218; // Secciones
		$elem_gral[13] = LEN_ADMIN_216; // Links
		$elem_gral[14] = LEN_ADMIN_243; // Items en portada
		$elem_gral[15] = LEN_ADMIN_241; // Mas votados
		$elem_gral[16] = LEN_ADMIN_242; // Mas leidos
		$elem_gral[17] = LEN_ADMIN_214; // Etiquetas
		$elem_gral[18] = LEN_ADMIN_240; // Etiquetas 2
		$elem_gral[19] = LEN_ADMIN_239; // Etiquetas 3
		$elem_gral[20] = LEN_ADMIN_217; // RSS Feeds
		$elem_gral[21] = LEN_ADMIN_199; // Extra 1
		$elem_gral[22] = LEN_ADMIN_296; // Extra 2
		$elem_gral[23] = LEN_ADMIN_297; // Extra 3
		$elem_gral[24] = LEN_ADMIN_287; // Canales
		$elem_gral[25] = LEN_ADMIN_352; // Contenido privado
		$elem_gral[26] = LEN_ADMIN_353; // Portada
		$elem_gral[27] = LEN_ADMIN_354; // Tienda
	

		$salida_gral = '<option value="0">[0] '.LEN_ADMIN_79.'</option>';
		for ($c=1; $c<=count($elem_gral); $c++)
		{		
			$sel = $c == $ids ? " selected" : "" ;
			$salida_gral .= '<option value="'.$c.'"'.$sel.'>['.$c.'] '.$elem_gral[$c].'</option>';	
		}
		
		return $salida_gral;	
	}
	
	// options de menu alto
	function options_salida_gral_m_alto ($ids)
	{

		$elem_gral_m = array();
		// incluir los nombres en orden
		$elem_gral_m[1] = LEN_ADMIN_208; // Copy
		$elem_gral_m[2] = LEN_ADMIN_209; // Email
		$elem_gral_m[3] = LEN_ADMIN_210; // RSS
		$elem_gral_m[4] = LEN_ADMIN_215; // Idiomas
		$elem_gral_m[5] = LEN_ADMIN_244; // Reloj
		$elem_gral_m[6] = LEN_ADMIN_246; // Add item
		$elem_gral_m[7] = LEN_ADMIN_247; // Add traduccion
		$elem_gral_m[8] = LEN_ADMIN_353; // Portada

		$salida_gral_m = '<option value="0">[0] '.LEN_ADMIN_79.'</option>';
		for ($c=1; $c<=count($elem_gral_m); $c++)
		{		
			$sel = $c == $ids ? " selected" : "" ;
			$salida_gral_m .= '<option value="'.$c.'"'.$sel.'>['.$c.'] '.$elem_gral_m[$c].'</option>';	
		}
		
		return $salida_gral_m;		
	}

	// options de menu pie
	function options_salida_gral_m_pie ($ids)
	{

		$elem_gral_m = array();
		// incluir los nombres en orden
		$elem_gral_m[1] = LEN_ADMIN_208; // Copy
		$elem_gral_m[2] = LEN_ADMIN_209; // Email
		$elem_gral_m[3] = LEN_ADMIN_210; // RSS
		$elem_gral_m[4] = LEN_ADMIN_215; // Idiomas
		$elem_gral_m[5] = LEN_ADMIN_244; // Reloj
		$elem_gral_m[6] = LEN_ADMIN_246; // Add item
		$elem_gral_m[7] = LEN_ADMIN_247; // Add traduccion
		$elem_gral_m[8] = LEN_ADMIN_353; // Portada

		$salida_gral_m = '<option value="0">[0] '.LEN_ADMIN_79.'</option>';
		for ($c=1; $c<=count($elem_gral_m); $c++)
		{		
			$sel = $c == $ids ? " selected" : "" ;
			$salida_gral_m .= '<option value="'.$c.'"'.$sel.'>['.$c.'] '.$elem_gral_m[$c].'</option>';	
		}
		
		return $salida_gral_m;		
	}

	// mostrar el seleccionado
	function mostrar_selec ($ids)
	{
		if ($ids > 0)
		{
			$salida_mostrar = '&nbsp;&nbsp;<span class="selec_elemento">['.$ids.']</span>';
		} else {
			$salida_mostrar = '&nbsp;&nbsp;<span class="noselec_elemento">['.$ids.']</span>';		
		}
		
		return $salida_mostrar;		
	}

?>

<br /><br />
<div class="div_destacar_grupos">
<strong><?php echo LEN_ADMIN_200; ?></strong>
<br /><br />
<?php

	// menu alto
	echo '<input type="hidden" name="total_elem_m_alto" value="'.$total_elem_m_alto.'">';
	for ($e=1; $e<=$total_elem_m_alto; $e++)
	{
		
		echo LEN_ADMIN_204.' '.$e.mostrar_selec ($ids_menu_alto[$e]);
		echo '&nbsp;&nbsp;<select name="menu_alto_elem_'.$e.'" class="tmax">';
		echo options_salida_gral_m_alto ($ids_menu_alto[$e]);
		echo '</select>';
		echo '&nbsp;&nbsp;';
		
		// se calcula si el indice es PAR
		$indice = $e/2;
		if (!strpos($indice,".") && $indice != "0")
		{ 
				echo '<br /><br />';
		}
	
	}



?>
</div>

<br /><br />
<div class="div_destacar_grupos">
<strong><?php echo LEN_ADMIN_201; ?></strong>
<br /><br />
<?php

	// menu principal(derecha)
	echo '<input type="hidden" name="total_elem_m_principal" value="'.$total_elem_m_principal.'">';
	for ($e=1; $e<=$total_elem_m_principal; $e++)
	{
		
		echo LEN_ADMIN_204.' '.$e.mostrar_selec ($ids_menu_principal[$e]);
		echo '&nbsp;&nbsp;<select name="menu_principal_elem_'.$e.'" class="tmax">';
		echo options_salida_gral ($ids_menu_principal[$e]);
		echo '</select>';
		echo '&nbsp;&nbsp;';
		
		// se calcula si el indice es PAR
		$indice = $e/2;
		if (!strpos($indice,".") && $indice != "0")
		{ 
				echo '<br /><br />';
		}
	
	}



?>
</div>


<br /><br />
<div class="div_destacar_grupos">
<strong><?php echo LEN_ADMIN_202; ?></strong>
<br /><br />
<?php

	// menu secundario(izquierda)
	echo '<input type="hidden" name="total_elem_m_secundario" value="'.$total_elem_m_secundario.'">';
	for ($e=1; $e<=$total_elem_m_secundario; $e++)
	{
		
		echo LEN_ADMIN_204.' '.$e.mostrar_selec ($ids_menu_secundario[$e]);
		echo '&nbsp;&nbsp;<select name="menu_secundario_elem_'.$e.'" class="tmax">';
		echo options_salida_gral ($ids_menu_secundario[$e]);
		echo '</select>';
		echo '&nbsp;&nbsp;';
		
		// se calcula si el indice es PAR
		$indice = $e/2;
		if (!strpos($indice,".") && $indice != "0")
		{ 
				echo '<br /><br />';
		}
	
	}



?>
</div>

<br /><br />
<div class="div_destacar_grupos">
<strong><?php echo LEN_ADMIN_203; ?></strong>
<br /><br />
<?php

	// menu pie
	echo '<input type="hidden" name="total_elem_m_pie" value="'.$total_elem_m_pie.'">';
	for ($e=1; $e<=$total_elem_m_pie; $e++)
	{
		
		echo LEN_ADMIN_204.' '.$e.mostrar_selec ($ids_menu_pie[$e]);
		echo '&nbsp;&nbsp;<select name="menu_pie_elem_'.$e.'" class="tmax">';
		echo options_salida_gral_m_pie ($ids_menu_pie[$e]);
		echo '</select>';
		echo '&nbsp;&nbsp;';
		
		// se calcula si el indice es PAR
		$indice = $e/2;
		if (!strpos($indice,".") && $indice != "0")
		{ 
				echo '<br /><br />';
		}
	
	}



?>
</div>

<br /><br />
<div class="div_destacar_grupos">
<?php

	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{

		// previsualizacion admin //
		// muestra la primera imagen instalada -> nombre_imagen.gif | nombre_imagen.jpg | ...
		echo '<strong>'.LEN_ADMIN_251.'</strong>';
		echo '<br /><br />';

		echo '<table border="0" cellspacing="0" cellpadding="0" align="center" width="100%">';

		$archivos_man = getfilesdir("../skins_admin","","(css)");
		for ($m=0; $m<count($archivos_man); $m++)
		{		

			$indice_ini = $m/2;
			$indice_fin = ($m+1)/2;
				
			if (is_int($indice_ini))
			{
				
				echo '<tr>';
			}
			
			echo '<td valign="top" width="50%">';
			echo '<div class="div_css_admin">';
			
			$verarchivo = basename($archivos_man[$m]);
			
			$imagen_prev = getfilesdir("../skins_admin/".substr($verarchivo,0,-4)."","","(gif|jpg|jpeg|png)");
			$verimagen = basename($imagen_prev[0]);
			
			if (file_exists_url("../skins_admin/".substr($verarchivo,0,-4)."/".$verimagen))
			{

				$size = getimagesize("../skins_admin/".substr($verarchivo,0,-4)."/".$verimagen);
				$size_ancho = 250;		
				$ver_pag = '<img src="../skins_admin/'.substr($verarchivo,0,-4).'/'.$verimagen.'" width="'.$size_ancho.'" style="border:0px;text-decoration:none;" />';
				$ver_pag_src = '../skins_admin/'.substr($verarchivo,0,-4).'/'.$verimagen;

				echo '<a href="javascript:verimg(\''.$ver_pag_src.'\','.($size[0]+40).','.($size[1]+40).');" style="border:0px;text-decoration:none;">'.$ver_pag.'</a>';
				
			} else {

				echo '<span class="mensaje">'.LEN_ADMIN_312.'</span>';
			
			}
			
			echo '<br /><br />';
			echo '<input type="radio" name="skin_admin" value="'.$verarchivo.'"';
			if ($verarchivo == $row['skin_admin']) { echo ' checked'; }
			echo '>';
			echo '&nbsp;&nbsp;<span class="selec_elemento">'.$verarchivo.'</span>';
			
			echo '</div>';
			echo '</td>';

			if (is_int($indice_fin))
			{
				
				echo '</tr>';
			}

		}
		
		echo '</table>';
		// fin previsualizacion admin //

		// lista css plugins
		echo '<strong>CSS plugins</strong>&nbsp;&nbsp;';
 		// skins css plugins
 		$tpl_archivos_man_css = getfilesdir("../skins_admin/".substr($row['skin_admin'],0,-4)."/css","","(css)");
		for ($m=0; $m<count($tpl_archivos_man_css); $m++)
		{		
			echo basename($tpl_archivos_man_css[$m]).', ';	
		}


	} else {
	
		echo '<strong>'.LEN_ADMIN_251.'</strong>';
		echo '<br /><br />';
		// el skin admin
		echo '<select name="skin_admin">';
		//echo '<option value="">'.LEN_ADMIN_79.'</option>';
		$archivos_man = getfilesdir("../skins_admin","","(css)");
		for ($m=0; $m<count($archivos_man); $m++)
		{		
			echo '<option value="'.basename($archivos_man[$m]).'"';		
			echo '>'.basename($archivos_man[$m]).'</option>';	
		}
		echo '</select>';
	
	}

?>
</div>

<?php

	// guardar como
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
				
		echo '<br /><br />';
		echo '<div class="div_destacar_grupos">';
		echo '<strong>'.LEN_ADMIN_313.'</strong>';
		echo '<br /><br />';
		// info
		echo '<img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_info.png" />';
		echo '<br />';
		echo '<span class="mensaje_info">'.LEN_ADMIN_314.'</span>';
		echo '<br /><br />';

		echo LEN_ADMIN_206;
		echo '&nbsp;<input name="nombre_como" maxlength="255" value="" type="text" class="input_text">';

		// lista css completa
		echo '<br /><br />';
		echo '<strong>CSS</strong>&nbsp;&nbsp;';
 		echo '&nbsp;&nbsp;<select name="skin_css_como">';
		$archivos_man = getfilesdir("../skins","","(css)");
		for ($m=0; $m<count($archivos_man); $m++)
		{		
			echo '<option value="'.basename($archivos_man[$m]).'"';		
			if (basename($archivos_man[$m]) == $row['skin_css']) { echo ' selected'; }
			echo '>'.basename($archivos_man[$m]).'</option>';	
		}
		echo '</select>';
		echo '</div>';		
	}

?>


<div style="text-align:center;margin:20px 0px 20px 0px;">
<?php
	if (isset($ig[$campoid]) || isset($in["actualizar"]))
	{
?>
<input type="submit" value="<?php echo LEN_ADMIN_17;?>" class="boton">
<input type="hidden" name="<?php echo $campoid; ?>" value="<?php echo $fileID_gral; ?>">
<input type="hidden" name="actualizar" value="1">
<?php
	} else {
?>
<input type="submit" value="<?php echo LEN_ADMIN_16;?>" class="boton">
<input type="hidden" name="guardar" value="1">
&nbsp;&nbsp;&nbsp;<input type="reset" value="<?php echo LEN_ADMIN_18;?>" class="boton">
<?php
	}
?>
</div>

</form>
</div>

</td></tr></table>

</body>
</html>
<?php
	include("inc.fin.php");
?>